Summary:	Integrated TeX/LaTeX Environment for the GNOME desktop
Summary(pl.UTF-8):	Zintegrowane środowisko TeXowe/LaTeXowe dla GNOME
Name:		enter-tex
Version:	3.47.0
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/enter-tex/3.47/%{name}-%{version}.tar.xz
# Source0-md5:	962c377147347ad8d6ca0cc395117bd9
URL:		https://gitlab.gnome.org/swilmet/enter-tex
BuildRequires:	appstream-glib-devel
BuildRequires:	dconf-devel
BuildRequires:	gettext-tools >= 0.19.6
BuildRequires:	glib2-devel >= 1:2.80
BuildRequires:	gobject-introspection-devel >= 1.30.0
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gspell-devel >= 1.8
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	libgedit-amtk-devel >= 5.8
BuildRequires:	libgedit-gtksourceview-devel >= 299
BuildRequires:	libgedit-tepl-devel >= 6.11
BuildRequires:	libgee-devel >= 0.10
BuildRequires:	meson >= 0.64
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.46
BuildRequires:	vala-gspell >= 1.8
BuildRequires:	vala-gtksourceview4 >= 4.0
BuildRequires:	vala-libgee >= 0.10
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.80
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.80
Requires:	gsettings-desktop-schemas
Requires:	gspell >= 1.8
Requires:	gtk+3 >= 3.22
Requires:	hicolor-icon-theme
Requires:	libgedit-amtk >= 5.8
Requires:	libgedit-gtksourceview >= 299
Requires:	libgedit-tepl >= 6.11
Requires:	libgee >= 0.10
Suggests:	latexmk >= 4.31
Obsoletes:	gnome-latex < 3.47
Obsoletes:	latexila < 3.28
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enter TeX is a TeX/LaTeX text editor for the GNOME desktop. It was
previously named LaTeXila and then GNOME LaTeX.

%description -l pl.UTF-8
Enter TeX to edytor tekstu TeX/LaTeX dla środowiska GNOME. Wcześniej
projekt nazywał się LaTeXila, następnie GNOME LaTeX.

%prep
%setup -q

%build
%meson build

# missing proper in-tree dependences, need to build gir first
%ninja_build -C build src/gtex/Gtex-1.gir

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database_post
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/enter-tex
%{_datadir}/dbus-1/services/org.gnome.enter_tex.service
%{_datadir}/glib-2.0/schemas/org.gnome.enter_tex.gschema.xml
%{_datadir}/enter-tex
%{_datadir}/metainfo/org.gnome.enter_tex.metainfo.xml
%{_desktopdir}/org.gnome.enter_tex.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.enter_tex.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.enter_tex-symbolic.svg
%{_mandir}/man1/enter-tex.1*
%{_gtkdocdir}/enter-tex
%changelog
* Thu Oct 31 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/enter-tex.git;a=log;h=auto/th/enter-tex-3.47.0-1

* Thu Oct 31 2024 Jakub Bogusz <qboosh@pld-linux.org> 7932e69
- gnome-latex updated to 3.47.0, now as enter-tex

* Thu Sep 26 2024 Jakub Bogusz <qboosh@pld-linux.org> e5babf8
- force vala->C rebuild; release 3

* Sun Jul 21 2024 Jakub Bogusz <qboosh@pld-linux.org> 6f4bc80
- adjusted for libgedit-tepl 6.10+, release 2

* Thu Sep 07 2023 Jakub Bogusz <qboosh@pld-linux.org> c67c66c
- updated to 3.46.0 (now libgedit-amtk/tepl 6.8 based, in line with gedit 46)

* Sun Mar 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 898011d
- updated to 3.44.0

* Wed Nov 09 2022 Jakub Bogusz <qboosh@pld-linux.org> d80752a
- updated to 3.42.0

* Wed May 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 2b70e0e
- updated to 3.40.0
- removed obsolete tepl6

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> ec87659
- rebuild with separate debuginfo build-ids

* Sat Apr 10 2021 Jakub Bogusz <qboosh@pld-linux.org> fccc633
- added tepl6 patch from git; release 2

* Fri Sep 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 2d7c9a4
- updated to 3.38.0

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 82d48a3
- updated to 3.36.0

* Wed Sep 04 2019 Jakub Bogusz <qboosh@pld-linux.org> f124bae
- BR: dconf-devel

* Wed Sep 04 2019 Jakub Bogusz <qboosh@pld-linux.org> e20e319
- latexila renamed to gnome-latex, updated to 3.32.0

* Wed Sep 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 70358eb
- up to 3.26.1, last version named "latexila"

* Wed Mar 21 2018 Jan Rękorajski <baggins@pld-linux.org> 828d8eb
- release 2 (by relup.sh)

* Sat Jul 15 2017 Jakub Bogusz <qboosh@pld-linux.org> d6ee11e
- updated to 3.24.2

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 6ed3044
- updated to 3.22.1

* Sat Jun 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 51edea2
- updated dependencies

* Wed Apr 06 2016 Jan Rękorajski <baggins@pld-linux.org> 6b9926b
- up to 3.20.0

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> fae46e1
- updated to 3.18.2
- added gspell patch (adapt to gspell 0.2.x)

